#!/bin/bash

. lib.sh

main() {
    sshgw cangw -A -s can0 -d can1
    latester -d can0 -d can1 -d can2 -c $COUNT $(traffic_and_length 2) -n len2
    latester -d can0 -d can1 -d can2 -c $COUNT $(traffic_and_length 4) -n len4
    latester -d can0 -d can1 -d can2 -c $COUNT $(traffic_and_length 6) -n len6
    latester -d can0 -d can1 -d can2 -c $COUNT $(traffic_and_length 8) -n len8
}

plot_cmds() {
    cat <<EOF
set title "Single GW job for all messages, no modifications"
set logscale y
set grid
set xlabel "Time [{/Symbol m}s]"
set ylabel "Latency profile [messages]"
plot [0:600] [1:$COUNT] \
          "len2-hist.txt" with lp lt 1 title "2 byte messages", \
          "len4-hist.txt" with lp lt 2 title "4 byte messages", \
          "len6-hist.txt" with lp lt 3 title "6 byte messages", \
          "len8-hist.txt" with lp lt 4 title "8 byte messages"
EOF
}
    
test_end
    
